package com.sw.mes.inspect.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.inspect.dao.AutomaticInspectMiddleDao;
import com.sw.mes.inspect.entity.AutomaticInspectMiddle;
import com.sw.mes.inspect.service.AutomaticInspectMiddleService;
import com.sw.mes.utils.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class AutomaticInspectMiddleServiceImpl extends BaseServiceImpl<AutomaticInspectMiddle> implements AutomaticInspectMiddleService {
    AutomaticInspectMiddleDao dao;
	@Autowired
    public void setDao(AutomaticInspectMiddleDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }

    @Override
    public AutomaticInspectMiddle findByCrystalNo(String crystalNo) {
	    if (StringUtils.isNotBlank(crystalNo)){
	        return dao.findByCrystalNo(crystalNo);
        }
        return null;
    }
}
